tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: 2013Q2 MesaLib and pbulk

On Sun, Sep 01, 2013 at 12:52:29PM +0200, Manuel Bouyer wrote:
 > > Does x11-links skip it? The usual issue is that x11-links skips
 > > builtin versions that are older than the minimum accepted pkgsrc
 > > version... so when that version is changed for a revbump the native X
 > > version gratuitously stops working.
 > But then the a depend should be added to the pkgsrc version, isn't it ?

In theory; in practice this doesn't always work, or works only for
packages that have been explicitly hacked to support it, or something.

 > Where is defined the minimum accepted pkgsrc version ?
 > MesaLib just includes dri2proto/, and dri2proto/
 > has:
 > BUILDLINK_API_DEPENDS.dri2proto+= dri2proto>=2.0
 > the base system has 2.1

Then it should be in x11-links; look in

If it's not there, and other parts of dri2proto aren't there either,
then it must be getting skipped for some other reason. If it's not
there but other parts of dri2proto are there, then probably it isn't
part of the file list in x11-links. If it's there but it isn't getting
buildlinked, that's a whole different set of problems...

David A. Holland

Home | Main Index | Thread Index | Old Index